Bug 1460813 - chromium not part of aarch64 package repo.
Summary: chromium not part of aarch64 package repo.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 26
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-06-12 20:30 UTC by Jeremy Linton
Modified: 2017-09-19 21:19 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-02 22:25:02 UTC


Attachments (Terms of Use)
ffmpeg patch to allow aarch64 to successfully build (1009 bytes, patch)
2017-08-18 01:45 UTC, Ryan Blakley
no flags Details | Diff
Patch for the spec file to enable aarch64 to compile. (2.88 KB, patch)
2017-08-18 01:46 UTC, Ryan Blakley
no flags Details | Diff

Description Jeremy Linton 2017-06-12 20:30:14 UTC
Description of problem: Chromium is not part of the aarch64 package repo. It appears that its only build for x86 per the spec file. 


I'm trying to build it for aarch64 with NaCl disabled at the moment.

Comment 1 Tom "spot" Callaway 2017-06-12 20:31:14 UTC
If you succeed in building it there with nacl/pnacl disabled, let me know, I'm happy to apply patches to enable that arch.

Comment 2 Jeremy Linton 2017-06-12 20:58:15 UTC
It didn't get very far until it died trying to find the aarch64 compiler, which is odd because i'm not trying to cross compile it. I hacked it up a bit, and it is running again.

Comment 3 Tom "spot" Callaway 2017-06-12 21:02:55 UTC
It's not disabled because I have any prejudice against other arches. Chromium is a bear to build. :)

Comment 4 Ryan Blakley 2017-08-18 01:43:41 UTC
I was able to successfully build and install chromium-60.0.3112.90 on a Fedora 26 aarch64 system, I'll attach the patches below that I used. Hopefully they help get chromium in the Fedora aarch64 repos.

Comment 5 Ryan Blakley 2017-08-18 01:45 UTC
Created attachment 1314983 [details]
ffmpeg patch to allow aarch64 to successfully build

Comment 6 Ryan Blakley 2017-08-18 01:46 UTC
Created attachment 1314984 [details]
Patch for the spec file to enable aarch64 to compile.

Comment 7 Jeremy Linton 2017-08-28 14:37:37 UTC
Two comments, first I don't think you need to modify the depot_tools files, as adding a BuildRequires and using the system ninja is sufficient (I can attach a patch for that). I actually got it compiling a month or so ago with a similar change (target_cpu="", with a BUILD.gn) change, but got stuck modifying clean_ffmpeg.sh to add all the appropriate aarch64 files because the turnaround time discovering missing files was hours long the way I was doing it.

Anyway, I built an "unclean" version with my ninja change, and the attached ffmpeg change here: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=21444120

I thought that one was going to have armv7 as well, but it seems I didn't get the arch exclusion right for armv7.

Comment 8 Ryan Blakley 2017-08-28 16:37:37 UTC
(In reply to Jeremy Linton from comment #7)
> Two comments, first I don't think you need to modify the depot_tools files,
> as adding a BuildRequires and using the system ninja is sufficient (I can
> attach a patch for that). I actually got it compiling a month or so ago with
> a similar change (target_cpu="", with a BUILD.gn) change, but got stuck
> modifying clean_ffmpeg.sh to add all the appropriate aarch64 files because
> the turnaround time discovering missing files was hours long the way I was
> doing it.
> 
> Anyway, I built an "unclean" version with my ninja change, and the attached
> ffmpeg change here: 
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=21444120
> 
> I thought that one was going to have armv7 as well, but it seems I didn't
> get the arch exclusion right for armv7.

Yeah I modified the depot_tools file because it was cleaner looking than having to add in more ifarch aarch64 for every ninja line. But that was just my preference, whichever works to get aarch64 support added works for me :), the depot_tools file probably needs to be modified upstream to prevent this issue though.

For armv7, the arch reference is armv7hl if I remember correctly, I may be incorrect though.

Comment 9 Tom "spot" Callaway 2017-08-28 19:42:24 UTC
I merged Ryan's change and it is now building for aarch64 properly, once I got some source issues resolved. If either of you wants to change things up, feel free to throw a pull request at me. :)

Comment 10 Fedora Update System 2017-09-01 03:49:23 UTC
chromium-60.0.3112.113-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8f80d01c29

Comment 11 Fedora Update System 2017-09-01 11:54:02 UTC
chromium-60.0.3112.113-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e11dade5d0

Comment 12 Fedora Update System 2017-09-01 12:53:34 UTC
chromium-60.0.3112.113-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c708c044e3

Comment 13 Fedora Update System 2017-09-02 22:25:02 UTC
chromium-60.0.3112.113-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-10 04:50:28 UTC
chromium-60.0.3112.113-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-19 21:19:55 UTC
chromium-60.0.3112.113-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.